<?php
/**
 * Author: ykxiao
 * Date: 2025/6/5
 * * Time: 下午1:56
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\JsonRpc;

use App\Service\JsonRpcResponse;
use Hyperf\Di\Annotation\Inject;

/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午1:56
 * Description: 服务基类.
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */
abstract class BaseService
{
    #[Inject]
    protected JsonRpcResponse $response;
}