<?php

declare(strict_types=1);

namespace App\Amqp\Producer;

use Hyperf\Amqp\Annotation\Producer;
use Hyperf\Amqp\Message\ProducerMessage;

#[Producer(exchange: 'wh_service_ali_sls', routingKey: 'wh_service_ali_sls_key')]
class AliSlsProducer extends ProducerMessage
{
    public function __construct($data)
    {
        $this->payload = $data;
        $this->properties['delivery_mode'] = 2; // 消息持久化
    }
}
